> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all subtitles

> Method returns a list of all subtitles that are already attached to a video.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/videos/{video_id}/subtitles
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/videos/{video_id}/subtitles:
    get:
      tags:
        - Subtitles
      summary: Get all subtitles
      description: >-
        Method returns a list of all subtitles that are already attached to a
        video.
      operationId: get_api_videos_video_id_subtitles
      parameters:
        - name: video_id
          in: path
          description: ID of the video
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/subtitle'
        '400':
          description: One or more parameters were specified incorrectly, check the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badrequest'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notfound'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            subtitles = client.streaming.videos.subtitles.list(
                0,
            )
            print(subtitles)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsubtitles, err := client.Streaming.Videos.Subtitles.List(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", subtitles)\n}\n"
components:
  schemas:
    subtitle:
      allOf:
        - $ref: '#/components/schemas/subtitleBase'
        - properties:
            id:
              type: integer
              description: ID of subtitle file
          example:
            id: 1000
            name: German (AI-generated)
            language: ger
            vtt: >-
              WEBVTT


              1

              00:00:07.154 --> 00:00:12.736

              Wir haben 100 Millionen registrierte Benutzer oder aktive
              Benutzer, die mindestens einmal pro Woche spielen.


              2

              00:00:13.236 --> 00:00:20.198

              Wir haben vielleicht 80 oder 100.000, die auf einem bestimmten
              Cluster spielen.
    badrequest:
      type: object
      properties:
        status:
          type: integer
          description: Error number
        error:
          type: string
          description: Error message
      example:
        status: 400
        error: >-
          Bad Request response status code indicates that the server cannot or
          will not process the request due to something that is perceived to be
          a client error (for example, malformed request syntax, invalid request
          message framing, or deceptive request routing).
    notfound:
      allOf:
        - $ref: '#/components/schemas/badrequest'
        - example:
            status: 404
            error: >-
              Not Found. Entity you are looking for was not found, please check
              the initial parameters
    subtitleBase:
      type: object
      properties:
        name:
          type: string
          description: Name of subtitle file
        language:
          type: string
          description: 3-letter language code according to ISO-639-2 (bibliographic code)
        vtt:
          type: string
          description: >-
            Full text of subtitles/captions, with escaped "\n" ("\r") symbol of
            new line
      example: null
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````